Bug 1414444 (CVE-2017-5507) - CVE-2017-5507 ImageMagick: Memory leak in mpc file handling
Summary: CVE-2017-5507 ImageMagick: Memory leak in mpc file handling
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5507
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-18 14:13 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:30:35 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-18 14:13:50 UTC
A memory leak vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly leak data.

References:

http://seclists.org/oss-sec/2017/q1/110

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/4493d9ca1124564da17f9b628ef9d0f1a6be9738

Comment 1 Andrej Nemec 2017-01-18 15:03:50 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.